### Method

# ECal ComponentRange copy

since: 3.34

#### Declaration [src]

    ECalComponentRange*
    e_cal_component_range_copy (
      const ECalComponentRange* range
    )

#### Description

No description available.

Available since: 3.34

#### Return value

Type: `ECalComponentRange`

A newly allocated `ECalComponentRange`, copy of `range`. The returned structure should be freed with e_cal_component_range_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.